# Method: projects.locations.appConnectors.list

- [HTTP request](https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.appConnectors/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.appConnectors/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.appConnectors/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.appConnectors/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.appConnectors/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.appConnectors/list#body.ListAppConnectorsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.appConnectors/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.appConnectors/list#try-it)

Lists AppConnectors in a given project and location.

### HTTP request

`GET https://beyondcorp.googleapis.com/v1/{parent=projects/*/locations/*}/appConnectors`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the AppConnector location using the form: `projects/{projectId}/locations/{locationId}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `beyondcorp.appConnectors.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of items to return. If not specified, a default value of 50 will be used by the service. Regardless of the pageSize value, the response may include a partial list and a caller should only rely on response's `https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.appConnectors/list#body.ListAppConnectorsResponse.FIELDS.next_page_token` to determine if there are more instances left to be queried. |
| `pageToken` | `string` Optional. The nextPageToken value returned from a previous ListAppConnectorsRequest, if any. |
| `filter` | `string` Optional. A filter specifying constraints of a list operation. |
| `orderBy` | `string` Optional. Specifies the ordering of results. See [Sorting order](https://cloud.google.com/apis/design/design_patterns#sorting_order) for more information. |

### Request body

The request body must be empty.

### Response body

Response message for BeyondCorp.ListAppConnectors.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "appConnectors": [ { object (`https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.appConnectors#AppConnector`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `appConnectors[]` | ``object (`https://docs.cloud.google.com/chrome-enterprise-premium/docs/reference/rest/v1/projects.locations.appConnectors#AppConnector`)`` A list of BeyondCorp AppConnectors in the project. |
| `nextPageToken` | `string` A token to retrieve the next page of results, or empty if there are no more results in the list. |
| `unreachable[]` | `string` A list of locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).